package com.migao.config.listener;


import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.migao.entity.po.Role;
import com.migao.mapper.RoleMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationListener;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.event.ContextRefreshedEvent;

import javax.annotation.Resource;
import java.util.List;


@Configuration
@Slf4j
public class InitializeListener implements ApplicationListener<ContextRefreshedEvent> {


    @Resource
    private RoleMapper roleMapper;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent contextRefreshedEvent) {
        //默认角色配置
        List<Role> roles = roleMapper.selectList(Wrappers.emptyWrapper());
        if (roles.size()<=0){
            roleMapper.insertAll();
        }
    }
}
